Bug 135861 - workbook 5 chap 7 exercise part 3
Summary: workbook 5 chap 7 exercise part 3
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Academy
Classification: Retired
Component: RHA130 Curriculum   
(Show other bugs)
Version: 2.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bowe Strickland
QA Contact: Bowe Strickland
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-15 15:02 UTC by steven marcus
Modified: 2007-04-18 17:13 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-07 17:29:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description steven marcus 2004-10-15 15:02:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
When you add 
ls () { jobs ; /bin/ls "$@" ; }
to the end of /etc/skel/.bashrc
and add new users, when the new user logs in, they get the message

[root@BillyBubba skel]# su - daisy
-bash: /home/daisy/.bashrc: line 9: syntax error near unexpected token `('
-bash: /home/daisy/.bashrc: line 9: `ls () { jobs ; /bin/ls "$@" ; }'

but when checked, the exercise is graded as correct.


The file itself -

[root@BillyBubba skel]# cat /etc/skel/.bashrc
# .bashrc
                                                                     
          
# User specific aliases and functions
                                                                     
          
# Source global definitions
if [ -f /etc/bashrc ]; then
        . /etc/bashrc
fi
ls () { jobs ; /bin/ls "$@" ; }



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.perform exercise
2.
3.
    

Additional info:

Comment 1 Bowe Strickland 2005-01-03 21:08:36 UTC
yep... something's weird about 'ls', i guess that it's already
an alias.  precedeing w/ keyword "function" seems to work.

these still need work, but at least now it's not as embarrassing...


Note You need to log in before you can comment on or make changes to this bug.